jif.types

## Class ActsForConstraint_c<Actor extends ActsForParam,Granter extends ActsForParam>

- java.lang.Object
- - polyglot.types.TypeObject_c
  - - jif.types.ActsForConstraint_c<Actor,Granter>

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, ActsForConstraint<Actor,Granter>, Assertion, polyglot.types.TypeObject, polyglot.util.Copy<polyglot.types.TypeObject>

      public class ActsForConstraint_c<Actor extends ActsForParam,Granter extends ActsForParam>
      extends polyglot.types.TypeObject_c
      implements ActsForConstraint<Actor,Granter>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Actor` | `actor`
    `protected Granter` | `granter`
    `protected boolean` | `isEquiv`
    `protected ActsForConstraintToJavaExpr` | `toJava`

    - ### Fields inherited from class polyglot.types.TypeObject_c

      `position, ts`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActsForConstraint_c(polyglot.types.TypeSystem ts, polyglot.util.Position pos, Actor actor, Granter granter, ActsForConstraintToJavaExpr toJava)`
    `ActsForConstraint_c(polyglot.types.TypeSystem ts, polyglot.util.Position pos, Actor actor, Granter granter, boolean isEquiv, ActsForConstraintToJavaExpr toJava)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Actor` | `actor()`
    `ActsForConstraint<Actor,Granter>` | `actor(Actor actor)`
    `ActsForConstraint_c<Actor,Granter>` | `copy()`
    `Granter` | `granter()`
    `ActsForConstraint<Actor,Granter>` | `granter(Granter granter)`
    `boolean` | `isCanonical()`
    `boolean` | `isEquiv()`
    `polyglot.ast.Expr` | `toJava(JifToJavaRewriter rw)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class polyglot.types.TypeObject_c

      `equals, equalsImpl, hashCode, position, typeSystem`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface polyglot.types.TypeObject

      `equalsImpl, position, typeSystem`

- - ### Field Detail

    - #### toJava

          protected ActsForConstraintToJavaExpr toJava

    - #### actor

          protected Actor extends ActsForParam actor

    - #### granter

          protected Granter extends ActsForParam granter

    - #### isEquiv

          protected final boolean isEquiv

  - ### Constructor Detail

    - #### ActsForConstraint_c

          public ActsForConstraint_c(polyglot.types.TypeSystem ts,
                                     polyglot.util.Position pos,
                                     Actor actor,
                                     Granter granter,
                                     boolean isEquiv,
                                     ActsForConstraintToJavaExpr toJava)

    - #### ActsForConstraint_c

          public ActsForConstraint_c(polyglot.types.TypeSystem ts,
                                     polyglot.util.Position pos,
                                     Actor actor,
                                     Granter granter,
                                     ActsForConstraintToJavaExpr toJava)

  - ### Method Detail

    - #### actor

          public Actor actor()

      Specified by:
        `actor` in interface `ActsForConstraint<Actor extends ActsForParam,Granter extends ActsForParam>`

    - #### actor

          public ActsForConstraint<Actor,Granter> actor(Actor actor)

      Specified by:
        `actor` in interface `ActsForConstraint<Actor extends ActsForParam,Granter extends ActsForParam>`

    - #### granter

          public Granter granter()

      Specified by:
        `granter` in interface `ActsForConstraint<Actor extends ActsForParam,Granter extends ActsForParam>`

    - #### granter

          public ActsForConstraint<Actor,Granter> granter(Granter granter)

      Specified by:
        `granter` in interface `ActsForConstraint<Actor extends ActsForParam,Granter extends ActsForParam>`

    - #### isEquiv

          public boolean isEquiv()

      Specified by:
        `isEquiv` in interface `ActsForConstraint<Actor extends ActsForParam,Granter extends ActsForParam>`

    - #### isCanonical

          public boolean isCanonical()

      Specified by:
        `isCanonical` in interface `polyglot.types.TypeObject`

    - #### copy

          public ActsForConstraint_c<Actor,Granter> copy()

      Specified by:
        `copy` in interface `polyglot.util.Copy<polyglot.types.TypeObject>`
      Overrides:
        `copy` in class `polyglot.types.TypeObject_c`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toJava

          public polyglot.ast.Expr toJava(JifToJavaRewriter rw)
                                   throws polyglot.types.SemanticException

      Specified by:
        `toJava` in interface `ActsForConstraint<Actor extends ActsForParam,Granter extends ActsForParam>`
      Throws:
        `polyglot.types.SemanticException`